umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
codegenfactory.h File Reference
`#include "basictypes.h"`
`#include "codeaccessormethod.h"`

Go to the source code of this file.

## Namespaces
namespace | CodeGenFactory

## Functions
CodeGenerator * | CodeGenFactory::createObject (Uml::ProgrammingLanguage::Enum pl)
CodeOperation * | CodeGenFactory::newCodeOperation (ClassifierCodeDocument *ccd, UMLOperation *op)
CodeClassField * | CodeGenFactory::newCodeClassField (ClassifierCodeDocument *ccd, UMLAttribute *at)
CodeClassField * | CodeGenFactory::newCodeClassField (ClassifierCodeDocument *ccd, UMLRole *role)
CodeAccessorMethod * | CodeGenFactory::newCodeAccessorMethod (ClassifierCodeDocument *ccd, CodeClassField *cf, CodeAccessorMethod::AccessorType type)
CodeClassFieldDeclarationBlock * | CodeGenFactory::newDeclarationCodeBlock (ClassifierCodeDocument *cd, CodeClassField *cf)
CodeComment * | CodeGenFactory::newCodeComment (CodeDocument *cd)
CodeDocument * | CodeGenFactory::newClassifierCodeDocument (UMLClassifier *c)
CodeGenPolicyExt * | CodeGenFactory::newCodeGenPolicyExt (Uml::ProgrammingLanguage::Enum pl)